import request from '@/utils/request' //引入axios请求及拦截器
export default {
    //新增商户店铺管理
    addmallmerchant(data) {
        return request({
            url: '/mall/merchant',
            method: 'post',
            data
        })
    },
    //修改商户店铺管理
    editmallmerchant(data) {
        return request({
            url: '/mall/merchant/edit',
            method: 'post',
            data
        })
    },
    //合作商户批量删除
    batchRemovemallmerchant(data) {
        return request({
            url: '/mall/merchant/batchRemove',
            method: 'post',
            data
        })
    },
    //查询商户店铺管理列表
    mallmerchantlist(data) {
        return request({
            url: '/mall/merchant/list',
            method: 'get',
            params: data
        })
    },
    //获取商户店铺管理详细信息
    mallmerchantdata(data) {
        return request({
            url: `/mall/merchant/` + data,
            method: 'get',
        })
    },
    //商户恢复密码
    mallmerchantrestorePwd(data) {
        return request({
            url: '/mall/merchant/restorePwd',
            method: 'post',
            data
        })
    },
    //商户修改密码
    mallmerchantupdatePwd(data) {
        return request({
            url: '/mall/merchant/updatePwd',
            method: 'post',
            data
        })
    },
}